from setuptools import setup, find_packages

# https://packaging.python.org/guides/distributing-packages-using-setuptools/#setup-args
setup(name='netlicensing-client',
                 version='0.0.5',
                 description='Python wrapper for Labs64 NetLicensing RESTful API',
                 long_description=open('README.md').read().strip(),
                 long_description_content_type="text/markdown",
                 author='Labs64 NetLicensing',
                 author_email='info@netlicensing.io',
                 url='https://netlicensing.io',
                 project_urls={
                     'Getting Started': 'https://netlicensing.io/getting-started/',
                     'Documentation': 'https://netlicensing.io/wiki/restful-api',
                     'Source': 'https://github.com/Labs64/NetLicensingClient-python',
                     'Changelog': 'https://github.com/Labs64/NetLicensingClient-python/releases',
                     'Tracker': 'https://github.com/Labs64/NetLicensingClient-python/issues',
                     'CI': 'https://github.com/Labs64/NetLicensingClient-python/actions',
                 },
                 py_modules=['netlicensing'],
                 include_package_data=True,
                 install_requires=['requests'],
                 packages=find_packages(),
                 license='Apache-2.0',
                 zip_safe=False,
                 keywords='labs64 netlicensing licensing licensing-as-a-service license license-management software-license client restful restful-api python wrapper api client',
                 classifiers=[
                     # https://pypi.org/classifiers/
                     'Development Status :: 1 - Planning',
                     'Environment :: Other Environment',
                     'Intended Audience :: Developers',
                     'Intended Audience :: Information Technology',
                     'License :: OSI Approved :: Apache Software License',
                     'Natural Language :: English',
                     'Operating System :: OS Independent',
                     'Programming Language :: Python',
                     'Programming Language :: Python :: 3',
                     'Programming Language :: Python :: 3.6',
                     'Programming Language :: Python :: 3.7',
                     'Programming Language :: Python :: 3.8',
                     'Topic :: Software Development :: Libraries :: Python Modules',
                     'Topic :: System :: Software Distribution',
                     'Topic :: Utilities'
                 ],
                 python_requires='>=3.6',
                 platforms=['any'],
)
